<script>
    import { extent } from 'd3-array';
    import { scaleLinear } from 'd3-scale';
    export let data = []
    export let ysc;
    export let xsc;
    export let height;
    export let scale;
    const margin = { top: 10, right: 10, bottom: 10, left: 10 };
    $: indSc = scaleLinear().domain(extent(data['total_heating_energy'])).range([1, height/21]);
</script>


{#each data['total_heating_energy'] as value, idx}
  {#if scale === 'All building types' }
      <rect x={xsc(idx)} y={20-ysc(value)/2} width={xsc(744)/744} height={ysc(value)} />
  {:else}
      <rect x={xsc(idx)} y={20-indSc(value)/2} width={xsc(744)/744} height={indSc(value)} />
  {/if}
{/each}

  
  
<style>
    rect {
        stroke: black;
        fill: black;
    }    
</style>